## README

**READ BELOW THE FOLD BEFORE REPORTING AN ISSUE**

------

If you're looking for **help** on how to use the library head over to the
[Raspberry Pi forums](https://www.raspberrypi.org/forums/viewforum.php?f=32&sid=f1a4513e3e137272da39dbb11089e077)

If you're reporting an issue or requesting a feature, read on! Pick one of the
following templates depending on your issue type.

------

If you're going to report an issue, please pick one of the template below:

* Issue report
* Feature request

Delete the template you aren't using.

**FINALLY, DELETE ALL THE ABOVE AND THIS LINE.**


# Issue Report
## Description
A short description of the problem you're facing

## Problem reproduction
A **MINIMAL** example of how to reproduce the example, don't post the contents
of your whole file. Take the time to trim it down to the minimal number of steps
required

## Environment details
* OS (`lsb_release -a`):
```
Distributor ID: Raspbian
Description:    Raspbian GNU/Linux 8.0 (jessie)
Release:        8.0
Codename:       jessie
```

| Software | Version |
|----------|---------|
| `python-omxplayer-wrapper` | `0.1.0` |
| `python-dbus` (`dpkg -s python-dbus`) |  `1.2.0` |
| `python` (`python --version`) | `2.7.9` |
| `omxplayer` (`omxplayer --version`) | `6c90c75` |

-------

# Feature Request
## Description
A short description (preferably a one liner) of the feature you desire.

## Example use case
An example of how the feature you request would be used, demonstrating it's
utility (and why the current solution doesn't solve your problem).
